﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="ManageDepartments.aspx.cs" Inherits="Administration_ManageDepartments"
    Title="Crux - Manage Departments" CodeFileBaseClass="BaseView" ViewName="ManageDepartments" %>

<%@ Register Src="../Controls/Common/WaterMarkedTextBox.ascx" TagName="WaterMarkedTextBox"
    TagPrefix="crux" %>
<%@ Register Src="../Controls/Common/ErrorNotification.ascx" TagName="ErrorNotification"
    TagPrefix="crux" %>
<%@ Register Src="../Controls/Common/ManagedEntityName.ascx" TagName="ManagedEntityName"
    TagPrefix="crux" %>
<%@ Register Src="../Controls/Common/AdditionalButtonsOnGrid.ascx" TagName="AdditionalButtonsOnGrid"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <!-- 
        CreativeToDo: The Text Boxes On This Page Don't Change Their BackGround Like Login Page 
             when Validations are not satified 
        -->
    <asp:UpdatePanel ID="updUpdate" runat="server">
        <ContentTemplate>
            <crux:ManagedEntityName PreceedingText="You are currently managing:" ID="lblManagedCompany"
                ShowEntityURL="true" EntityType="Company" runat="server" />
            <table>
                <tr>
                    <td height="12">
                    </td>
                </tr>
            </table>
            <asp:Panel ID="pnlList" runat="server">
                <table cellpadding="0" cellspacing="0" class="toolbar">
                    <tr>
                        <td>
                            <asp:ImageButton ID="btnAddNewDepartment" runat="server" OnClick="btnAddNewDepartment_Click"
                                meta:resourcekey="btnAddNewDepartmentResource1" />
                            &nbsp;<asp:ImageButton ID="btnBack" Text="Back" runat="server" OnClick="btnBack_Click"
                                ImageUrl="~/appimages/back.gif" />
                    </tr>
                </table>
                <table>
                    <tr>
                        <td height="12">
                        </td>
                    </tr>
                </table>
                <asp:GridView ID="grdDepartments" runat="server" OnRowDataBound="grdDepartments_RowDataBound"
                    AutoGenerateColumns="False" AllowPaging="true" OnPageIndexChanging="PageIndexChanging">
                    <PagerTemplate>
                        <table border="0" cellpadding="0" cellspacing="0" align="center">
                            <tr>
                                <td class="pagerTabPadding">
                                    <table id="pagerOuterTable" class="pagerOuterTable" cellpadding="0" cellspacing="0"
                                        runat="server" align="center">
                                        <tr>
                                            <td>
                                                <table id="pagerInnerTable" cellpadding="2" cellspacing="0" runat="server">
                                                    <tr>
                                                        <td class="pageCounter">
                                                            <asp:Label ID="lblPageCounter" runat="server" Text=""></asp:Label>
                                                        </td>
                                                        <td class="pageFirstLast">
                                                            <asp:ImageButton ID="FirstPage" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/appimages/firstpage.gif"
                                                                CommandName="Page" CommandArgument="First" align="absmiddle" />&nbsp;<asp:LinkButton
                                                                    ID="lnkFirstPage" CssClass="pagerLink" runat="server" CommandName="Page" CommandArgument="First">First</asp:LinkButton>
                                                        </td>
                                                        <td class="pagePrevNextNumber">
                                                            <asp:ImageButton ID="imgPrevPage" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/appimages/prevpage.gif"
                                                                CommandName="Page" CommandArgument="Prev" />
                                                        </td>
                                                        <td class="pagePrevNextNumber">
                                                            <asp:ImageButton ID="imgNextPage" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/appimages/nextpage.gif"
                                                                CommandName="Page" CommandArgument="Next" />
                                                        </td>
                                                        <td class="pageFirstLast">
                                                            <asp:LinkButton ID="lnkLastPage" CssClass="pagerLink" CommandName="Page" CommandArgument="Last"
                                                                runat="server">Last</asp:LinkButton>&nbsp;<asp:ImageButton ID="LastPage" runat="server"
                                                                    ImageAlign="AbsMiddle" ImageUrl="~/appimages/lastpage.gif" align="absmiddle"
                                                                    CommandName="Page" CommandArgument="Last" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </PagerTemplate>
                    <Columns>
                        <asp:BoundField DataField="DepartmentID" HeaderText="ID" ItemStyle-CssClass="GridFirstColumn" />
                        <asp:BoundField DataField="DepartmentName" HeaderText="Name" />
                        <asp:BoundField DataField="DepartmentDescription" HeaderText="Description" />
                        <asp:BoundField DataField="DepartmentComments" HeaderText="Comments" />
                        <asp:TemplateField HeaderText="Actions" ItemStyle-CssClass="ActionButtons">
                            <ItemTemplate>
                                <center>
                                    <asp:ImageButton ID="btnItemEditIcon" runat="server" CausesValidation="false" CommandName="EditItem"
                                        OnCommand="grdDepartments_RowCommand" CommandArgument='<%#Eval("DepartmentID")%>'
                                        ImageUrl="~/appimages/edit_dept_details.gif" ToolTip='<%# "Edit "  + Resources.Strings.DepartmentText  + " Details" %>' />
                                    <asp:ImageButton ID="btnItemDelete" runat="server" CausesValidation="false" CommandName="DeleteItem"
                                        OnCommand="grdDepartments_RowCommand" CommandArgument='<%#Eval("DepartmentID")%>'
                                        ImageUrl="~/appImages/delete.gif" ToolTip='<%# "Delete " + Resources.Strings.DepartmentText %>' />
                                    <asp:Panel runat="server" ID="pnlAdditionalConfigurationBasedButtons">
                                        <uc1:AdditionalButtonsOnGrid runat="server" ObjectID='<%#Eval("DepartmentID")%>'
                                            GridName="ManageDepartments" />
                                    </asp:Panel>
                                </center>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <asp:Panel ID="pnlAddEdit" runat="server">
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td class="formTxtHeader" colspan="2">
                            <%= Resources.Strings.DepartmentText %>
                        </td>
                    </tr>
                    <tr>
                        <td class="formLine" colspan="2">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formGroupGap">
                        </td>
                    </tr>
                    <!-- Department ID -->
                    <tr>
                        <td align="right" valign="middle" class="formLeftColmnWidth">
                            <asp:Label ID="lblDepartmentID" runat="server" Text='<%# Resources.Strings.DepartmentText + " ID:"%>'
                                CssClass="formLabel"></asp:Label>
                        </td>
                        <td align="left" valign="middle" class="formRightColmnWidth">
                            <asp:Label ID="lblDepartmentIDValue" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formFieldGap">
                        </td>
                    </tr>
                    <!-- Department Name -->
                    <tr>
                        <td align="right" valign="middle" class="formLeftColmnWidth">
                            <asp:Label ID="lblDepartmentName" runat="server" Text='<%# Resources.Strings.DepartmentText + " Name:"%>'
                                CssClass="formLabel"></asp:Label>
                        </td>
                        <td align="left" valign="middle" class="formRightColmnWidth">
                            <crux:WaterMarkedTextBox ID="txtDepartmentName" WaterMarkText="Department Name" ValueRequired="true"
                                ErrorText="Department Name is required." Width="180" MaxLength="50" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formFieldGap">
                        </td>
                    </tr>
                    <!-- Department Description -->
                    <tr>
                        <td align="right" valign="top" class="formLeftColmnWidth formPaddingTop">
                            <asp:Label ID="lblDepartmentDescription" runat="server" Text='<%# Resources.Strings.DepartmentText + " Description:"%>'
                                CssClass="formLabel"></asp:Label>
                        </td>
                        <td align="left" valign="top" class="formRightColmnWidth">
                            <crux:WaterMarkedTextBox ID="txtDepartmentDescription" WaterMarkText="Department Description"
                                ValueRequired="true" TextMode="MultiLine" ErrorText="Department Description is required."
                                Width="180" Height="30" MaxLength="200" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formFieldGap">
                        </td>
                    </tr>
                    <!-- Department Comments -->
                    <tr>
                        <td align="right" valign="top" class="formLeftColmnWidth formPaddingTop">
                            <asp:Label ID="lblDepartmentComments" runat="server" Text='<%# Resources.Strings.DepartmentText + " Comments:"%>'
                                CssClass="formLabel"></asp:Label>
                        </td>
                        <td align="left" valign="middle" class="formRightColmnWidth">
                            <crux:WaterMarkedTextBox ID="txtDepartmentComments" WaterMarkText="Department Comments"
                                ValueRequired="false" MaxLength="10" TextMode="MultiLine" Width="180" Height="30"
                                runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formGroupGap">
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td align="left">
                            <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
                            &nbsp;
                            <asp:Button ID="btnCancel" CausesValidation="false" runat="server" Text="Cancel"
                                OnClick="btnCancel_Click" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <crux:ErrorNotification ID="pnlError" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
