﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Navigation.ascx.cs" Inherits="Controls_Common_Navigation" %>
<%@ Import Namespace="com.cruxomatic.security" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="com.cruxomatic.configuration.DTOs" %>
<%@ Import Namespace="com.cruxomatic.controllers" %>
<div class="navDiv">
    <table border="0" cellpadding="0" cellspacing="0" class="topNavTable">
        <tr>
            <td>
                <table border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td class="pageMargin">
                        </td>
                    </tr>
                </table>
            </td>
            <%
                ICruxSecurityManager cruxSecurityManager = CruxSecurityManagerFactory.GetSecurityManager();
                SessionData sessionData = new SessionData();
                string UserName = sessionData.CurrentUser.UserName;
                string CompanyName = sessionData.CurrentUser.CompanyName;
                List<NavigationInformation> navigationItems = cruxSecurityManager.GetNavigationItemsForUser(UserName, CompanyName);
                foreach (NavigationInformation navigationItem in navigationItems)
                {
                    string ApplicationPath = cruxSecurityManager.GetApplicationPath();
                    string itemPath = navigationItem.ConnectedViewURL;
                    string itemText = navigationItem.NavigationItemDescription;


                    if (navigationItem.ConnectedViewName == sessionData.CurrentViewSection)
                    {
                                  
                                     
            %>
            <td align="right" valign="bottom">
                <table border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td class="topNavButtonLeftH">
                        </td>
                        <td class="topNavButtonCenterH">
                            <a href='<%=itemPath%>' class="topNavBlackFont">
                                <%=itemText%>
                            </a>
                        </td>
                        <td class="topNavButtonRightH">
                        </td>
                    </tr>
                </table>
            </td>
            <td class="spaceTopNavButtons">
            </td>
            <%     
                }
                                 else
                                 {
            %>
            <td align="right" valign="bottom">
                <table border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td class="topNavButtonLeft">
                        </td>
                        <td class="topNavButtonCenter">
                            <a href='<%=itemPath%>' class="topNavWhiteFont">
                                <%=itemText%>
                            </a>
                        </td>
                        <td class="topNavButtonRight">
                        </td>
                    </tr>
                </table>
            </td>
            <td class="spaceTopNavButtons">
            </td>
            <%
                }
                             }
            %>
        </tr>
    </table>
</div>
