﻿<%@ Page Title="" Language="C#" MasterPageFile="~/LoginTemplate.master" AutoEventWireup="true" CodeFile="ForgotPassword.aspx.cs" Inherits="ForgotPassword" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="crux" %>
<%@ Register Src="Controls/Common/WaterMarkedTextBox.ascx" TagName="WaterMarkedTextBox"
    TagPrefix="crux" %>
<%@ Register Src="Controls/Common/ErrorNotification.ascx" TagName="ErrNotification"
    TagPrefix="crux" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<asp:UpdatePanel ID="updatePanelLogin" runat="server">
        <ContentTemplate>
            
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td colspan="2" class="formGroupGap">
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="middle" class="formLeftColmnWidth">
                        <asp:Label runat="server" ID="lblUserName" Text="User Name:"/>
                    </td>
                    <td align="left" valign="middle" class="formRightColmnWidth2">
                        <crux:WaterMarkedTextBox ID="txtUserName" runat="server" WaterMarkText="UserName"
                            Width="180" MaxLength="200" ErrorText="Username is required. This is usually your primary email address." ValueRequired="true" CheckEmailFormat="true" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formFieldGap">
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="middle" class="formLeftColmnWidth">
                        <asp:Label runat="server" ID="lblSecurityQues" Text="Security Question:"  />
                    </td>
                    <td align="left" valign="middle" class="formRightColmnWidth2">
                        <asp:DropDownList ID="ddlSecretQuestion" runat="server"></asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formFieldGap">
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="middle" class="formLeftColmnWidth">
                        <asp:Label runat="server" ID="lblAnswer" Text="Your Answer:" />
                    </td>
                    <td align="left" valign="middle" class="formRightColmnWidth2">
                        <crux:WaterMarkedTextBox ID="txtSecurityAns" runat="server" WaterMarkText="SecurityAnswer"
                            Width="180" MaxLength="200" ErrorText="Security Answer is required." ValueRequired="true" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formGroupGap">
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td align="left" class="formRightColmnWidth2">
                        <asp:Button ID="btnContinue" runat="server" Text="Continue" 
                            onclick="btnContinue_Click" />
                        &nbsp;
                        <asp:Button ID="btnCancel" CausesValidation="false" runat="server" 
                            Text="Cancel" onclick="btnCancel_Click" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formGroupGap">
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblMessage" runat="server" Text="A mail has been sent to the email account. Please click on Cancel button to go to the login screen." ForeColor="Green" Visible="false"/>
                    </td>
                </tr>
            </table>
            <crux:ErrNotification ID="pnlError" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>

