﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using com.cruxomatic.configuration;
using com.cruxomatic.controllers;
using com.cruxomatic.DTOs;
using com.cruxomatic.DTOs.Configuration;
using com.cruxomatic.views;

public partial class ResetPasswordAfterPasswordExpired : System.Web.UI.Page, IResetPasswordAfterPasswordExpired
{
    private ResetPasswordAfterPasswordExpiredController _controller = null;

    protected void Page_PreInit(object sender, EventArgs e)
    {
        Page.Theme = CruxConfigurationManager.GetApplicationThemeName();
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        _controller = new ResetPasswordAfterPasswordExpiredController(this);
    }
    protected void btnSave_Click(object sender, EventArgs e)
    {
        _controller.ResetPassword();
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        _controller.NavigateToLoginPage();
    }

    public string NewPassword
    {
        get
        {
            return txtNewPassword.Text;
        }
    }

    public string ConfirmedNewPassword
    {
        get
        {
            return txtConfirmedNewPassword.Text;
        }
    }

    public ErrorInformation ErrorDetails
    {
        get
        {
            return pnlError.ErrorInformation;
        }
        set
        {
            pnlError.ErrorInformation = value;
        }
    }

    public string CurrentPassWord
    {
        get
        {
            return txtCurrentPassword.Text;
        }
    }

    public string UserName
    {
        get
        {
            return txtUserName.Text;
        }
    }

}