﻿using System.Collections.Generic;

namespace com.cruxomatic.DTOs.Comparers
{
    public class CompanyComparer : IEqualityComparer<CompanyInformation>
    {
        public bool Equals(CompanyInformation x, CompanyInformation y)
        {
            return x.CompanyID == y.CompanyID;
        }

        public int GetHashCode(CompanyInformation obj)
        {
            return obj.CompanyID.GetHashCode();
        }
    }
}
