﻿using System.Collections.Generic;
using com.cruxomatic.DTOs;
using com.cruxomatic.DTOs.Configuration;

namespace com.cruxomatic.views.Administration
{
    public interface IManageUserDetails
    {
        UserDetailsInformation ConcernedUserDetails { get; set; }
        List<RoleInformation> AllPossibleRoles { set; }
        List<DepartmentInformation> AllPossibleDepartments { set; }
        List<CompanyInformation> AllPossibleCompaniesToRepresent { set; }
        List<LocationInformation> AllPossibleLocationsToRepresent { set; }
        bool IsCompanyRepresenativePaneVisible { set; }
        bool IsLocationRepresenativePaneVisible { set; }
        ErrorInformation ErrorDetails { get; set; }
        bool ModificationEnabled { set; }
        List<RoleInformation> DisableRole { set; }
    }
}
