﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using com.cruxomatic.DTOs;
using com.cruxomatic.views.Enums;
using com.cruxomatic.DTOs.Configuration;

namespace com.cruxomatic.views.Administration
{
    public interface IManageUsers
    {
        List<UserInformation> Users { set;  }
        UserInformation CurrentUser { get; set; }
        int CompanyID { get; }
        FormMode FormMode { get; set; }
        ErrorInformation ErrorDetails { get; set; }
        bool IsAddUserSupported { get; set; }
        bool IsEditUserSupported { get; set; }
        bool IsEditUserDetailSupported { get; set; }
        bool IsResetUserPasswordSupported { get; set; }
        bool IsDeleteUserSupported { get; set; }
        bool IsEditUserNameSupported { set; }
   }
}
