﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using com.cruxomatic.DTOs;
using com.cruxomatic.DTOs.Configuration;

namespace com.cruxomatic.views.Administration
{
    public interface IResetPassword
    {
        int UserID { get; }
        string NewPassword { get; set; }
        string ConfirmedNewPassword { get; set; }
        ErrorInformation ErrorDetails { get; set; }
        string CurrentPassWord { get; set; }
        bool EnableDisableControl { get; set; }
        List<SecurityQuestionInformation> SecurityQuestionList { set; }
        string Answer { get; }
        int SelectedSecurityQuestionId { get; }
        bool EnableDisableControlForFirstTimer { get; set; }
    }
}
