﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls;

namespace com.cruxomatic.views.Controls.Common
{
    public interface IWaterMarkedTextBox
    {
        string Text { get; set; }
        string Width { get; set; }
        string TextBoxCss { get; set; }
       string TextMode { get; set; }
        string Height { get; set; }
        int MaxLength { get; set; }
        string ValidationGroup { get; set; }
        string WaterMarkText { get; set; }
        string ErrorText { get; set; }
        bool ValueRequired { get; set; }
        bool CheckEmailFormat { get; set; }
        bool CheckForNumbers { get; set; }
        bool ReadOnly { get; set; }
        bool NotAllowZero { get; set; }
        bool CheckForInteger { get; set; }
        bool CheckRange { get; set; }
        string RangeMinValue { get; set; }
        string RangeMaxValue { get; set; }
        ValidationDataType RangeType { get; set; }
        string RangeErrorMessage { get; set; }
        bool Enabled { get; set; }
        bool CheckRegularExpression { get; set; }
        string ValidatorExpression { get; set; }
        string RegularExpressionErrorMessage { get; set; }
    }
}
