﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" CodeFileBaseClass="BaseView" ViewName="Administration"
    Inherits="Administration_Default" Title="Crux - Administration" %>

<%@ Register Src="../Controls/Common/DashboardItems.ascx" TagName="DashboardItems"
    TagPrefix="crux" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <table border="0" cellspacing="0" cellpadding="1">
        <tr>
            <td valign="top" align="center">
                <asp:Panel ID="pnlManageAllCompanies" runat="server" HorizontalAlign="Center">
                    <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td style="width: 110px; vertical-align: top;">
                                <asp:ImageButton ID="btnImgManagecompanies" runat="server" meta:resourcekey="btnImgManagecompaniesResource1" />
                                <br />
                                <asp:LinkButton ID="lnkManageCompanies" runat="server" OnClick="lnkManageCompanies_Click"
                                    CssClass="textLinkBlue">Manage <%=Resources.Strings.CompanyPluralText %></asp:LinkButton>
                            </td>
                            <td class="widthBtnIcons">
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
            <td align="center" valign="top">
                <asp:Panel ID="pnlManageMyCompany" runat="server" HorizontalAlign="Center">
                    <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="width: 110px; vertical-align: top;">
                                <asp:ImageButton ID="btnImgManagecompany" runat="server" meta:resourcekey="btnImgManagecompanyResource2" />
                                <br />
                                <asp:LinkButton ID="lnkManageMyComany" runat="server" OnClick="lnkManageMyCompany_Click"
                                    CssClass="textLinkBlue">Manage My <%=Resources.Strings.CompanyText %></asp:LinkButton>
                            </td>
                            <td class="widthBtnIcons">
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
            <td align="center" valign="top">
                <asp:Panel ID="pnlManageRoles" runat="server">
                    <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="width: 110px; vertical-align: top;">
                                <asp:ImageButton ID="btnImgManageRoles" runat="server" meta:resourcekey="btnImgMangeRoleResource5" />
                                <br />
                                <asp:LinkButton ID="lnkManageRoles" runat="server" OnClick="lnkManageRoles_Click"
                                    CssClass="textLinkBlue">Manage <%=Resources.Strings.RolePluralText %></asp:LinkButton>
                            </td>
                            <td class="widthBtnIcons">
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
            <td align="center" valign="top">
                <asp:Panel ID="pnlAssignUsersToCompanies" runat="server">
                    <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="width: 110px; vertical-align: top;">
                                <asp:ImageButton ID="btnAssignUserToCompanies" runat="server" meta:resourcekey="btnAssignUserToCompaniesResource" />
                                <br />
                                <asp:LinkButton ID="lnkAssignUserToCompanies" runat="server" OnClick="lnkAssignUserToCompanies_Click"
                                    CssClass="textLinkBlue">Assign <%=Resources.Strings.CompanyPluralText %> To Users</asp:LinkButton>
                            </td>
                            <td class="widthBtnIcons">
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
            <td align="center" valign="top">
                <asp:Panel ID="pnlResetMyPassword" runat="server">
                    <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="width: 110px; vertical-align: top;">
                                <asp:ImageButton ID="btnImgResetPassword" runat="server" meta:resourcekey="btnImgResetPasswordResource3" />
                                <br />
                                <asp:LinkButton ID="lnkResetMyPassword" runat="server" OnClick="lnkResetMyPassword_Click"
                                    CssClass="textLinkBlue">Reset My <%=Resources.Strings.PasswordText %></asp:LinkButton>
                            </td>
                            <td class="widthBtnIcons">
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
            <td align="center" valign="top">
                <asp:Panel ID="pnlEmalNotification" runat="server">
                    <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="width: 110px; vertical-align: top;">
                                <asp:ImageButton ID="btnEmailNotification" runat="server" meta:resourcekey="btnEmailNotificationResource" />
                                <br />
                                <asp:LinkButton ID="lnkEmailNotification" runat="server" OnClick="lnkEmailNotification_Click"
                                    CssClass="textLinkBlue"><%=Resources.Strings.EmailNotificationText %></asp:LinkButton>
                            </td>
                            <td class="widthBtnIcons">
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
        </tr>
    </table>
    <crux:DashboardItems ID="AdministrationDashboard" runat="server" DashBosrdName="Administration"
        ItemOrientation="Horizontal" />
</asp:Content>
