﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="ManageLocations.aspx.cs" CodeFileBaseClass="BaseView" ViewName="ManageLocations"
    Inherits="Administration_ManageLocations" Title="Crux - Manage Locations" %>

<%@ Register Src="../Controls/Common/WaterMarkedTextBox.ascx" TagName="WaterMarkedTextBox"
    TagPrefix="crux" %>
<%@ Register Src="../Controls/Common/ErrorNotification.ascx" TagName="ErrorNotification"
    TagPrefix="crux" %>
<%@ Register Src="../Controls/Common/ManagedEntityName.ascx" TagName="ManagedEntityName"
    TagPrefix="crux" %>
<%@ Register src="../Controls/Common/AdditionalButtonsOnGrid.ascx" tagname="AdditionalButtonsOnGrid" tagprefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    
    <!-- 
        CreativeToDo: The Text Boxes On This Page Don't Change Their BackGround Like Login Page 
             when Validations are not satified 
        -->
    <asp:UpdatePanel ID="updUpdate" runat="server">
        <ContentTemplate>
            <crux:ManagedEntityName PreceedingText="You are currently managing:" ID="lblManagedCompanyName"
                ShowEntityURL="true" EntityType="Company" runat="server" />
            <table><tr><td height="12"></td></tr></table>
            <asp:Panel ID="pnlList" runat="server">
                <table cellpadding="0" cellspacing="0" class="toolbar">
    <tr>
    <td>
                <asp:ImageButton ID="btnAddNewLocation" runat="server"  OnClick="btnAddNewLocation_Click" meta:resourcekey="btnAddNewLocationResource1"/>
                &nbsp;<asp:ImageButton ID="btnBack" Text="Back" runat="server" OnClick="btnBack_Click" ImageUrl="~/appimages/back.gif" />
                </td>
                </tr>
                </table>
<table><tr><td height="12"></td></tr></table>
                <asp:GridView ID="grdLocations" runat="server" OnRowDataBound="grdLocations_RowDataBound"
                    AutoGenerateColumns="False" AllowPaging="true" OnPageIndexChanging="PageIndexChanging">
                    <PagerTemplate>
                        <table border="0" cellpadding="0" cellspacing="0" align="center">
                            <tr>
                                <td class="pagerTabPadding">
                                    <table id="pagerOuterTable" class="pagerOuterTable" cellpadding="0" cellspacing="0"
                                        runat="server" align="center">
                                        <tr>
                                            <td>
                                                <table id="pagerInnerTable" cellpadding="2" cellspacing="0" runat="server">
                                                    <tr>
                                                        <td class="pageCounter">
                                                            <asp:Label ID="lblPageCounter" runat="server" Text=""></asp:Label>
                                                        </td>
                                                        <td class="pageFirstLast">
                                                            <asp:ImageButton ID="FirstPage" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/appimages/firstpage.gif"
                                                                CommandName="Page" CommandArgument="First" align="absmiddle" />&nbsp;<asp:LinkButton
                                                                    ID="lnkFirstPage" CssClass="pagerLink" runat="server" CommandName="Page" CommandArgument="First">First</asp:LinkButton>
                                                        </td>
                                                        <td class="pagePrevNextNumber">
                                                            <asp:ImageButton ID="imgPrevPage" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/appimages/prevpage.gif"
                                                                CommandName="Page" CommandArgument="Prev" />
                                                        </td>
                                                        <td class="pagePrevNextNumber">
                                                            <asp:ImageButton ID="imgNextPage" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/appimages/nextpage.gif"
                                                                CommandName="Page" CommandArgument="Next" />
                                                        </td>
                                                        <td class="pageFirstLast">
                                                            <asp:LinkButton ID="lnkLastPage" CssClass="pagerLink" CommandName="Page" CommandArgument="Last"
                                                                runat="server">Last</asp:LinkButton>&nbsp;<asp:ImageButton ID="LastPage" runat="server"
                                                                    ImageAlign="AbsMiddle" ImageUrl="~/appimages/lastpage.gif"
                                                                    align="absmiddle" CommandName="Page" CommandArgument="Last" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </PagerTemplate>
                    <Columns>
                        <asp:BoundField DataField="LocationID" HeaderText="ID" ItemStyle-CssClass="GridFirstColumn" />
                        <asp:BoundField DataField="LocationName" HeaderText="Name" />
                        <asp:BoundField DataField="LocationAddress" HeaderText="Address" />
                        <asp:BoundField DataField="LocationComments" HeaderText="Comments" />
                        <asp:TemplateField HeaderText="Actions" ItemStyle-CssClass="ActionButtons">
                            <ItemTemplate>
                                <center>
                                    <asp:ImageButton ID="btnItemEditIcon" runat="server" CausesValidation="false" CommandName="EditItem"
                                        OnCommand="grdLocations_RowCommand" CommandArgument='<%#Eval("LocationID")%>'
                                        ImageUrl="~/appimages/edit_location_details.gif" ToolTip='<%# "Edit " + Resources.Strings.LocationText + " Details" %>' />
                                    <asp:ImageButton ID="btnItemDelete" runat="server" CausesValidation="false" CommandName="DeleteItem"
                                        OnCommand="grdLocations_RowCommand" CommandArgument='<%#Eval("LocationID")%>'
                                        ImageUrl="~/appImages/delete.gif" ToolTip='<%# "Delete " + Resources.Strings.LocationText %>' />
                                    <!-- CreativeTodo: Have Icon For 'Manage SubLocations' -->
                                    <asp:ImageButton ID="btnOpenSubLocation" runat="server" CausesValidation="false"
                                        CommandName="OpenView" OnCommand="grdLocations_RowCommand" CommandArgument='<%#Eval("LocationID")%>'
                                        ImageUrl="~/appimages/manage_sublocations.gif" ToolTip='<%# "Manage " + Resources.Strings.SubLocationText %>' />
                                    <asp:Panel runat="server" ID="pnlAdditionalConfigurationBasedButtons">
                                        <uc1:AdditionalButtonsOnGrid runat="server" ObjectID='<%#Eval("LocationID")%>'
                                            GridName="ManagLocations" />
                                    </asp:Panel>
                                </center>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <asp:Panel ID="pnlAddEdit" runat="server">
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td class="formTxtHeader" colspan="2">
                            <%= Resources.Strings.LocationText %>
                        </td>
                        
                    </tr>
                    <tr>
                        <td class="formLine" colspan="2">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formGroupGap">
                        </td>
                    </tr>
                    <!-- Location ID -->
                    <tr>
                        <td align="right" valign="middle" class="formLeftColmnWidth">
                           <asp:Label ID="lblLocationID" runat="server" Text='<%# Resources.Strings.LocationText + " ID:"%>' CssClass="formLabel"></asp:Label>
                        </td>
                        <td align="left" valign="middle" class="formRightColmnWidth">
                            <asp:Label ID="lblLocationIDValue" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formFieldGap">
                        </td>
                    </tr>
                    <!-- Location Name -->
                    <tr>
                        <td align="right" valign="middle" class="formLeftColmnWidth">
                            <asp:Label ID="lblLocationName" runat="server" Text='<%# Resources.Strings.LocationText + " Name:"%>' CssClass="formLabel"></asp:Label>
                        </td>
                        <td align="left" valign="middle" class="formRightColmnWidth">
                            <crux:WaterMarkedTextBox ID="txtLocationName" WaterMarkText="Location Name" ValueRequired="true" 
                                ErrorText="Location Name is required." Width="180" MaxLength="50" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formFieldGap">
                        </td>
                    </tr>
                    <!-- Location Address -->
                    <tr>
                        <td align="right" valign="top" class="formLeftColmnWidth formPaddingTop">
                            <asp:Label ID="lblLocationAddress" runat="server" Text='<%# Resources.Strings.LocationText + " Address:"%>' CssClass="formLabel"></asp:Label>
                        </td>
                        <td align="left" valign="middle" class="formRightColmnWidth">
                            <crux:WaterMarkedTextBox ID="txtLocationAddress" WaterMarkText="Location Address"
                                ValueRequired="false" TextMode="MultiLine" ErrorText="Location Address is required."
                                Width="180" Height="30" MaxLength="200" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formFieldGap">
                        </td>
                    </tr>
                    <!-- Location Comments -->
                    <tr>
                        <td align="right" valign="top" class="formLeftColmnWidth formPaddingTop">
                            <asp:Label ID="lblLocationComments" runat="server" Text='<%# Resources.Strings.LocationText + " Comments:"%>' CssClass="formLabel"></asp:Label>

                        </td>
                        <td align="left" valign="middle" class="formRightColmnWidth">
                            <crux:WaterMarkedTextBox ID="txtLocationComments" WaterMarkText="Location Comments"
                                ValueRequired="false" MaxLength="10" TextMode="MultiLine" Width="180" Height="30"
                                runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="formGroupGap">
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td align="left">
                            <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
                            &nbsp;
                            <asp:Button ID="btnCancel" CausesValidation="false" runat="server" Text="Cancel"
                                OnClick="btnCancel_Click" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <crux:ErrorNotification ID="pnlError" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
