﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="ManageUserDetails.aspx.cs" Inherits="Administration_ManageUserDetails"
    ViewName="ManageUserDetails" CodeFileBaseClass="BaseView" Title="Crux - Manage User Details"
    Culture="auto" meta:resourcekey="PageResource1" UICulture="auto" UsesPageData="true" %>

<%@ Register Src="~/Controls/Common/ErrorNotification.ascx" TagName="ErrNotification"
    TagPrefix="crux" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:Panel ID="pnlRoles" runat="server">
        <table border="0" cellpadding="0" cellspacing="0" width="85%">
            <tr>
                <td align="right" valign="top" class="formLeftColmnWidth02 formPaddingTop02">
                    <asp:Label ID="Label1" runat="server" Text="Roles Assigned To User:" CssClass="formLabel"></asp:Label>
                </td>
                <td align="left" valign="middle" class="formRightColmnWidth02">
                    <asp:CheckBoxList ID="chkRoleList" runat="server">
                    </asp:CheckBoxList>
                </td>
            </tr>
            <tr>
                <td colspan="2" class="formGroupGap">
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="pnlDepartments" runat="server">
        <table border="0" cellpadding="0" cellspacing="0" width="85%">

            <tr>
                <td align="right" valign="top" class="formLeftColmnWidth02 formPaddingTop02">
                    <asp:Label ID="Label2" runat="server" Text="Departments Assigned To User:" CssClass="formLabel"></asp:Label>
                </td>
                <td align="left" valign="middle" class="formRightColmnWidth02">
                    <asp:CheckBoxList ID="chkDepartmentList" runat="server">
                    </asp:CheckBoxList>
                </td>
            </tr>
            <tr>
                <td colspan="2" class="formGroupGap">
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="pnlCompanyRepresentatives" runat="server">
        <table border="0" cellpadding="0" cellspacing="0" width="85%">
            <tr>
                <td align="right" valign="top" class="formLeftColmnWidth02 formPaddingTop02">
                    <asp:Label ID="lblCompaniesToRepresent" runat="server" Text="Companies Represented By User:" CssClass="formLabel"></asp:Label>
                </td>
                <td align="left" valign="middle" class="formRightColmnWidth02">
                    <asp:CheckBoxList ID="chkCompaniesToRepresent" runat="server">
                    </asp:CheckBoxList>
                </td>
            </tr>
            <tr>
                <td colspan="2" class="formGroupGap">
                </td>
            </tr>
        </table>
    </asp:Panel>
     <asp:Panel ID="pnlLocationRepresentatives" runat="server">
       <table border="0" cellpadding="0" cellspacing="0" width="85%">
            <tr>
                <td align="right" valign="top" class="formLeftColmnWidth02 formPaddingTop02">
                    <asp:Label ID="lblLocationsRepresentatedBy" runat="server" Text="Locations Represented By User:" CssClass="formLabel"></asp:Label>
                </td>
                <td align="left" valign="middle" class="formRightColmnWidth02">
                    <asp:CheckBoxList ID="chkLocationsToRepresent" runat="server">
                    </asp:CheckBoxList>
                </td>
            </tr>
            <tr>
                <td colspan="2" class="formGroupGap">
                </td>
            </tr>
        </table>
    </asp:Panel>


    <table border="0" cellpadding="0" cellspacing="0" width="85%">
        <tr>
            <td align="center">
                <asp:Button ID="btnSaveChanges" runat="server" Text="Save Changes" meta:resourcekey="btnSaveChangesResource1"
                    OnClick="btnSaveChanges_Click" />
                &nbsp;
                <asp:Button ID="btnCancelChanges" runat="server" Text="Cancel Changes" CausesValidation="false"
                    OnClick="btnCancelChanges_Click" />
            </td>
        </tr>
    </table>
    <br />
    <crux:ErrNotification ID="conErrorNotifier" runat="server" />
</asp:Content>
