﻿/// <summary>
/// Summary description for UILiterals
/// </summary>
public class UILiterals
{
    public string DeleteLocationConfirmation = "Deleting A " + Resources.Strings.LocationText + " Deletes The " + Resources.Strings.LocationText + " And All " + Resources.Strings.SubLocationPluralText + " Associated With The " + Resources.Strings.LocationText + ". There is NO Rollback Or Undelete Option. Are You Sure You Want To Delete " + Resources.Strings.LocationText + " {0}?";
    public string DeleteSubLocationConfirmation = "Deleting A " + Resources.Strings.SubLocationText + " Will Delete It Permenently. There is NO Rollback Or Undelete Option. Are You Sure You Want To Delete " + Resources.Strings.SubLocationText + " {0}?";
    public string DeleteCompanyConfirmation = "Caution: Deleting A " + Resources.Strings.CompanyText + " Will Delete All " + Resources.Strings.DepartmentPluralText + ", " + Resources.Strings.UserPluralText + " And Additional Information Associated With The " + Resources.Strings.CompanyText + ". There Is NO Rollback Or Undelete Option. Are You Sure You Want To Delete " + Resources.Strings.CompanyText + " {0}";
    public string DeleteDepartmentConfirmation = "Deleting A " + Resources.Strings.DepartmentText + " Will Delete All Data And Assignments Associated With The " + Resources.Strings.DepartmentText + ". Are You Sure You Want To Delete The " + Resources.Strings.DepartmentText + " {0}";
    public string DeleteUserConfirmation = "Caution: Deleting A " + Resources.Strings.UserText + " Deletes ALL Data Associated With A " + Resources.Strings.UserText + ".There is NO Rollback Or Undelete Option. Are You Sure You Want To Delete " + Resources.Strings.UserText + " {0}?";
    public string DeleteRoleConfirmation = "Caution: Deleting A " + Resources.Strings.RoleText + " Will Delete All Data And Assignments Associated With A " + Resources.Strings.RoleText + ". Are You Sure You Want To Delete " + Resources.Strings.RoleText + " {0}?";
    public const string DeleteLogConfirmation = "Caution: Deleting A [log] Will Delete All Inventory Items Associated With It. Are You Sure You Want To Delete this Log?";
    public const string DeleteLotConfirmation = "Caution: Deleting A Lot Will Remove Any Assoications That The Lot Might Have With Any Inventory Items And Will Destroy The Lot. Are You Sure you Want To Proceed?";
    public const string DashboardName = "dashboard";
    public const string companyKey = "[company]";
    public const string companyPluralKey = "[companies]";
    public const string departmentKey = "[department]";
    public const string departmentPluralKey = "[departments]";
    public const string locationKey = "[location]";
    public const string locationPluralKey = "[locations]";
    public const string userKey = "[user]";
    public const string userPluralKey = "[users]";
    public const string sublocationKey = "[sublocation]";
    public const string sublocationPluralKey = "[sublocations]";
    public const string logKey = "[log]";
    public const string logPluralKey = "[logs]";
    public const string roleKey = "[role]";
    public const string rolePluralKey = "[roles]";
}
