﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using com.cruxomatic.views.Controls.Common;

public partial class Controls_Common_DateTextBox : System.Web.UI.UserControl, ICalendarTextBox
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (UseCurrentDateAsStartDate)
            txtWaterMarkedTextBoxCalander.MinDate = DateTime.Now;
    }

     public string Text
    {
        get
        {
            return txtWaterMarkedTextBox.Text;
        }
        set
        {
            txtWaterMarkedTextBox.Text = value;
        }
    }

    
    public string TextBoxCss
    {
        get
        {
            return txtWaterMarkedTextBox.CssClass;
        }
        set
        {
            txtWaterMarkedTextBox.CssClass = value;
        }
    }

  

   
    public string Width
    {
        get
        {
            return txtWaterMarkedTextBox.Width.ToString();
        }
        set
        {
            txtWaterMarkedTextBox.Width = Unit.Parse(value);
        }
    }

    
   

    public string Height
    {
        get
        {
            return txtWaterMarkedTextBox.Height.ToString();
        }
        set
        {
            txtWaterMarkedTextBox.Height = Unit.Parse(value);
        }
    }

   
    public string ValidationGroup
    {
        get
        {
            return txtWaterMarkedTextBox.ValidationGroup;
        }
        set
        {
            txtWaterMarkedTextBox.ValidationGroup = value;
        }
    }

    #region ICalendarTextBox Members


    public bool ReadOnly
    {
        get
        {
            return txtWaterMarkedTextBox.ReadOnly;
        }
        set
        {
            txtWaterMarkedTextBox.ReadOnly = value;
            txtWaterMarkedTextBoxCalander.Visible = !value;
        }
    }

    public Controls_Common_DateTextBox()
    {
        UseCurrentDateAsStartDate = false;
    }

    public bool UseCurrentDateAsStartDate { get; set; }

    #endregion
}
