﻿using System;
using System.Web.Security;
using com.cruxomatic.DTOs;
using com.cruxomatic.contracts.Plugins;
using com.cruxomatic.controllers;
using com.cruxomatic.configuration;

public partial class Controls_Common_Logout : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void lnkLogout_Click(object sender, EventArgs e)
    {
        SessionData sessionData = new SessionData();
        UserInformation user = sessionData.CurrentUser;
        IProcessor<UserInformation> plugObject = (IProcessor<UserInformation>)CruxConfigurationManager.GetProcessor("LogoutProcessor");
        if (plugObject != null)
        {
            plugObject.FirePreprocessAction(user);
        } 
        sessionData.CurrentUser = null;
        sessionData.CurrentView = null;
        sessionData.CurrentViewSection = null;
        FormsAuthentication.SignOut();
        if (plugObject != null)
        {
            plugObject.FirePostprocessAction(user);
        } 
        NavigationController.OpenView(CruxConfigurationManager.GetApplicationDefaultView());
    }
}
