﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="QuickSearch.ascx.cs" Inherits="Controls_QuickSearch" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<script language="javascript" type="text/javascript">
    function ClientItemSelected(source, e) {
        var value = e.get_value();
        if (!value) {
            if (e._item.parentElement && e._item.parentElement.tagName == "LI")
                value = e._item.parentElement.attributes["_value"].value;
            else if (e._item.parentElement && e._item.parentElement.parentElement.tagName == "LI")
                value = e._item.parentElement.parentElement.attributes["_value"].value;
            else if (e._item.parentNode && e._item.parentNode.tagName == "LI")
                value = e._item.parentNode._value;
            else if (e._item.parentNode && e._item.parentNode.parentNode.tagName == "LI")
                value = e._item.parentNode.parentNode._value;
            else
                value = "";
        }

        // Get the value selected   
        var selectedTarget = value.split("|")[0];
        var selectedUrl = value.split("|")[1];
        var textbox = document.getElementById('<%= txtJumpTo.ClientID %>');
        var hiddenField = document.getElementById('<%= hdnFldTxtValue.ClientID %>');
        var searchType = "";
        if (hiddenField.value.startsWith('#'))
            searchType = "command";
        if (searchType == "command") {
            var i;
            for (i = 1; i < hiddenField.value.split('/').length; i++) {
                selectedUrl = selectedUrl + "/" + hiddenField.value.split('/')[i];
            }

        }

        if (selectedTarget == "NewPage") {
            textbox.value = "";
            window.open(selectedUrl, "_blank", "toolbar=yes, location=yes, directories=no, status=yes, menubar=yes, scrollbars=yes, resizable=yes")
        }
        else {
            textbox.disabled = true;
            textbox.value = "Please wait...";
            location.href = selectedUrl;
        }
    }
    function ClientItemPopulated(sender, e) {
        var behavior = $find('AutoCompleteEx');
        var target = behavior.get_completionList();
        if (behavior._currentPrefix != null) {
            var prefix = behavior._currentPrefix.toLowerCase();
            var i;
            for (i = 0; i < target.childNodes.length; i++) {
                var sValue = target.childNodes[i].innerHTML.toLowerCase();
                if (sValue.indexOf(prefix) != -1) {
                    var fstr = target.childNodes[i].innerHTML.substring(0, sValue.indexOf(prefix));
                    var pstr = target.childNodes[i].innerHTML.substring(fstr.length, fstr.length + prefix.length);
                    var estr = target.childNodes[i].innerHTML.substring(fstr.length + prefix.length, target.childNodes[i].innerHTML.length);
                    target.childNodes[i].innerText = fstr + pstr + estr;
                    target.childNodes[i].innerHTML = fstr + '<b>' + pstr + '</b>' + estr;
                }
            }
        }
    }
    function textInputChanged() {
        var textbox = document.getElementById('<%= txtJumpTo.ClientID %>');
        var hiddenField = document.getElementById('<%= hdnFldTxtValue.ClientID %>');
        hiddenField.value = textbox.value;
    }
</script>
<asp:Panel ID="pnlQuickSearch" runat="server">
    <table width="100%" cellspacing="0" cellpadding="0" class="quickSearchBG">
        <tr>
            <td align="right" style="width: 100%; padding-right: 38px;">
                <asp:UpdatePanel ID="updPnl" runat="server">
                    <ContentTemplate>
                        <cc1:AutoCompleteExtender ID="txtJumpTo_Extender" BehaviorID="AutoCompleteEx" runat="server"
                            TargetControlID="txtJumpTo" EnableCaching="true" CompletionInterval="1" CompletionSetCount="10"
                            FirstRowSelected="true" MinimumPrefixLength="1" ServiceMethod="GetAutoCompleteSearchItems"
                            ServicePath="~/WebServices/QuickSearchService.asmx" UseContextKey="true" CompletionListCssClass="autocomplete_completionListElement"
                            CompletionListHighlightedItemCssClass="autocomplete_highlightedListItem" CompletionListItemCssClass="autocomplete_listItem"
                            OnClientItemSelected="ClientItemSelected" OnClientPopulated="ClientItemPopulated">
                        </cc1:AutoCompleteExtender>
                        <asp:TextBox ID="txtJumpTo" runat="server" CssClass="inputQS" Width="228px" AutoCompleteType="None"
                            Text="" onFocus="javascript:this.select();" onKeyUp="javascript:textInputChanged();"></asp:TextBox>
                        <asp:HiddenField ID="hdnFldTxtValue" runat="server" />
                        <cc1:TextBoxWatermarkExtender ID="wme" runat="server" TargetControlID="txtJumpTo"
                            WatermarkCssClass="waterMarkQuickSearch" WatermarkText="Quick search! (Type # for commands)">
                        </cc1:TextBoxWatermarkExtender>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
        </tr>
    </table>
</asp:Panel>
