﻿<%@ Page Title="" Language="C#" MasterPageFile="~/LoginTemplate.master" AutoEventWireup="true"
    CodeFile="ResetPasswordAfterPasswordExpired.aspx.cs" Inherits="ResetPasswordAfterPasswordExpired" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="crux" %>
<%@ Register Src="Controls/Common/WaterMarkedTextBox.ascx" TagName="WaterMarkedTextBox"
    TagPrefix="crux" %>
<%@ Register Src="Controls/Common/ErrorNotification.ascx" TagName="ErrNotification"
    TagPrefix="crux" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content> 
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:UpdatePanel ID="updatePanelLogin" runat="server">
        <ContentTemplate>
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td colspan="2" class="formGroupGap">
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Label runat="server" ID="lblMessage" Text="Password had expired please change to proceed." Font-Bold="true" ForeColor="Red" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formGroupGap">
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="middle" class="formLeftColmnWidth">
                        <asp:Label runat="server" ID="lblUserName" Text="User Name:" />
                    </td>
                    <td align="left" valign="middle" class="formRightColmnWidth2">
                        <crux:WaterMarkedTextBox ID="txtUserName" runat="server" WaterMarkText="UserName"
                            Width="180" MaxLength="200" ErrorText="Username is required. This is usually your primary email address."
                            ValueRequired="true" CheckEmailFormat="true"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formGroupGap">
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="middle" class="formLeftColmnWidth">
                        <asp:Label runat="server" ID="lblCurrentPassword" Text="Current Password:" />
                    </td>
                    <td align="left" valign="middle" class="formRightColmnWidth2">
                        <crux:WaterMarkedTextBox ID="txtCurrentPassword" runat="server" WaterMarkText="Password"
                            Width="180" MaxLength="200" TextMode="Password" ErrorText="Current Password is required."/>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formGroupGap">
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="middle" class="formLeftColmnWidth">
                        <asp:Label runat="server" ID="lblNewPassword" Text="New Password:" />
                    </td>
                    <td align="left" valign="middle" class="formRightColmnWidth2">
                        <crux:WaterMarkedTextBox ID="txtNewPassword" runat="server" WaterMarkText="Password"
                            Width="180" MaxLength="200" TextMode="Password" ErrorText="New Password is required."
                            ValueRequired="true" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formFieldGap">
                    </td>
                </tr>
                <tr>
                    <td align="right" valign="middle" class="formLeftColmnWidth">
                        <asp:Label runat="server" ID="lblConfirmedNewPassword" Text="Confirm Password:" />
                    </td>
                    <td align="left" valign="middle" class="formRightColmnWidth2">
                        <crux:WaterMarkedTextBox ID="txtConfirmedNewPassword" runat="server" WaterMarkText="Password"
                            Width="180" MaxLength="200" TextMode="Password" ErrorText="Confirmation Of Password is required."
                            ValueRequired="true" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="formFieldGap">
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td align="left" class="formRightColmnWidth2">
                        <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
                        &nbsp;
                        <asp:Button ID="btnCancel" CausesValidation="false" runat="server" Text="Cancel"
                            OnClick="btnCancel_Click" />
                    </td>
                </tr>
            </table>
            <crux:ErrNotification ID="pnlError" runat="server"/>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
