﻿using System.Collections.Generic;

namespace com.cruxomatic.DTOs
{
    public class RoleInformation
    {
        private string _RoleDescription;
        private string _RoleName;
        private List<CompanyTypeInformation> _CompanyTypes = new List<CompanyTypeInformation>();
        private List<PrivilageInformation> _Privilages = new List<PrivilageInformation>();
        public int RoleID { get; set; }

        public string RoleName
        {
            get { return _RoleName; }
            set { _RoleName = value; }
        }

        public string RoleDescription
        {
            get { return _RoleDescription; }
            set { _RoleDescription = value; }
        }

        public string RoleNameAndDescription
        {
            get { return _RoleName + ": " + _RoleDescription; }
        }


        public string Comments { get; set; }

        public bool PerformAdministrativeTasks { get; set; }

        public bool PerformSuperAdminsitrativeTasks { get; set; }

        public int RolesByCompanyTypeID { get; set; }

        public int CompanyTypeID { get; set; }

        public List<CompanyTypeInformation> CompanyTypes
        {
            get { return _CompanyTypes; }
            set { _CompanyTypes = value; }
        }

        public List<PrivilageInformation> Privilages
        {
            get { return _Privilages; }
            set { _Privilages = value; }
        }

        public bool IsSystemGenerated { get; set; }
    }
}