﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using com.cruxomatic.DTOs;
using com.cruxomatic.views.Enums;
using com.cruxomatic.DTOs.Configuration;

namespace com.cruxomatic.views.Administration
{
    public interface IManageCompanies
    {
        List<CompanyInformation> Companies { set; }
        CompanyInformation CurrentCompany { get; set; }
        List<CompanyTypeInformation> AllowedCompanyTypes { set; }
        FormMode FormMode { get; set; }
        ErrorInformation ErrorDetails { get; set; }
        bool IsAddCompanySupported { get; set; }
        bool IsEditCompanySupported { get; set; }
        bool IsEditCompanyNameSupported { set; } 
    }
}
