using System.Collections.Generic;
using com.cruxomatic.DTOs;
using com.cruxomatic.DTOs.Configuration;
using com.cruxomatic.views.Enums;

namespace com.cruxomatic.views.Administration
{
    public interface IManageRoles
    {
        List<RoleInformation> Roles { set; }
        RoleInformation CurrentRole { get; set; }
        List<CompanyTypeInformation> AllPossibleCompanyTypesToRepresent { set; }
        List<PrivilageInformation> AllPossiblePrivilagesToRepresent { set; }
        List<int> SelectedPrivilagesIdList { get; }
        List<int> SelectedCompanyTypesIdList { get; }
        FormMode FormMode { get; set; }
        ErrorInformation ErrorDetails { get; set; }
        bool IsAddRoleSupported { get; set; }
        bool IsEditRoleSupported { get; set; }
    }
}
