﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace com.cruxomatic.web.wrokflows
{
    public static class CruxWorkflowExceptions
    {
        public static Exception WorkflowConfigurationNotFoundException = new Exception("Workflow Configuration Not Found In Workflow Configuration File.");
        public static Exception AcitivityNotFoundInWorkflowException = new Exception("Activity Cannot Be Found In The Specified Workflow.");
        public static Exception RuleNotFoundInWorkflowException = new Exception("Rule Cannot Be Found In The Specified Workflow.");
    }

    public class WorkflowNotificationException : Exception
    {
        private readonly string _expText;
        public WorkflowNotificationException(string errMsg)
        {
            _expText = errMsg;
        }
        public override string Message
        {
            get { return _expText; }
        }
        public override string ToString()
        {
            return _expText;
        }
    }
}
